unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, ExtCtrls, TeeProcs, Chart, TeeComma;

type
  TForm2 = class(TForm)
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    procedure FormCreate(Sender: TObject);
    procedure Series1Click(Sender: TChartSeries; ValueIndex: Integer;
      Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure Chart1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

uses Series;

procedure TForm2.FormCreate(Sender: TObject);
begin
//  Chart1.View3D:=false;

  with Chart1.AddSeries(TAreaSeries.Create(Self)) do
  begin
    FillSampleValues();
    OnClick:=Series1Click;
  end;
end;

procedure TForm2.Chart1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  Chart1.Title.Text.Text:='ValueIndex under the mouse: ' + IntToStr(Chart1[0].Clicked(X,Y));  //Clicked function is actually called in series OnClick event
end;

procedure TForm2.Series1Click(Sender: TChartSeries; ValueIndex: Integer;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Caption:='ValueIndex Clicked: ' + IntToStr(ValueIndex);
end;

end.
